[user]
    name = Mathieu Maret
    email = mathieu.maret@gmail.com
[color]
    ui = auto
    diff = auto
    status = auto
    branch = auto
[pack]
    threads = 0
[alias]
    lg = log -M --decorate --graph
    st = status
    ci = commit
    co = checkout
    br = branch
    df = diff
    dc = diff --cached
    lg = log -p
    lol = log --graph --decorate --pretty=oneline --abbrev-commit
    lola = log --graph --decorate --pretty=oneline --abbrev-commit --all
    lolp = log --graph --pretty=format:'%Cred%h%Creset -%C(yellow)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset' --abbrev-commit
    ls = ls-files
    dt =difftool # to have diff with meld
    mylog = log --committer=\"$(git config user.name)\"
#[diff "odf"]
#    textconv=odt2txt
#[diff "odt"]
#    textconv=odt2txt

#   Remove last commit but keep changes
    undo = git reset --soft HEAD^
#   last commit
    lasts = log --pretty=oneline --abbrev-commit --graph --decorate
#   last commit from last pull
    lastpull = !git lasts HEAD --stat --no-merges
    revertpart = reset -p HEAD^
    diffword = diff --color-words=.
    save = stash save -u 
[difftool "meld"]
    path = /usr/bin/meld
    trustExitCode = false
[difftool]
    prompt = false
[diff]
    tool = meld
[mergetool "meld"]
    path = /usr/bin/meld
    trustExitCode = false
[mergetool]
    keepBackup = false
[merge]
    tool = meld
[push]
	default = simple
[credential]
	helper = cache --timeout=3600
[sendemail]
	from = Mathieu Maret <mathieu.maret@gmail.com>
	smtpserver = smtp.gmail.com
	smtpuser = mathieu.maret
	smtpencryption = tls
	smtpserverport = 587
#	smtppass = PASS
[web]
	browser = firefox

[rerere]
	enabled = true
